Bug 1479481 - A deleted VM state do not change to Archived state
A deleted VM state do not change to Archived state
Status: CLOSED ERRATA
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: Providers (Show other bugs)
5.8.0
Unspecified Unspecified
medium Severity medium
: GA
: 5.8.2
Assigned To: Piotr Kliczewski
Ilanit Stein
rhev:vm state
: Regression, ZStream
Depends On: 1468201
Blocks:
  Show dependency treegraph
 
Reported: 2017-08-08 11:45 EDT by Satoe Imaishi
Modified: 2017-10-23 20:37 EDT (History)
7 users (show)

See Also:
Fixed In Version: 5.8.2.0
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of: 1468201
Environment:
Last Closed: 2017-10-23 20:37:35 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: RHEVM


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Github ManageIQ/manageiq-providers-ovirt/pull/62 None None None 2017-08-08 11:45 EDT
Red Hat Product Errata RHSA-2017:3005 normal SHIPPED_LIVE Important: Red Hat CloudForms security, bug fix, and enhancement update 2017-10-24 00:15:49 EDT

  None (edit)
Comment 2 CFME Bot 2017-08-08 11:51:10 EDT
New commit detected on ManageIQ/manageiq/fine:
https://github.com/ManageIQ/manageiq/commit/1a0907bce19aed801f3b01bb0c06546b2c8ac134

commit 1a0907bce19aed801f3b01bb0c06546b2c8ac134
Author:     Oved Ourfali <oourfali@redhat.com>
AuthorDate: Wed Jul 26 11:44:03 2017 +0300
Commit:     Satoe Imaishi <simaishi@redhat.com>
CommitDate: Tue Aug 8 11:45:48 2017 -0400

    Merge pull request #62 from pkliczewski/master
    
    disconnect_storage should be called once
    (cherry picked from commit c1257ddd0e200d76a316de03261bf92c2a8cfbfa)
    
    https://bugzilla.redhat.com/show_bug.cgi?id=1479481

 .../manageiq/providers/redhat/infra_manager/vm.rb  | 24 +++++++++++-----------
 1 file changed, 12 insertions(+), 12 deletions(-)
Comment 3 Ilanit Stein 2017-09-03 06:11:24 EDT
Verified on CFME-5.8.2/RHV-4.1.3.4-0.1.el7

A down VM that is deleted on RHV provider side, move into Archived state, as expected.
Comment 5 errata-xmlrpc 2017-10-23 20:37:35 EDT
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2017:3005

Note You need to log in before you can comment on or make changes to this bug.